---
lang: en
title: 'API docs: repository-json-schema.metatojsonproperty'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository-json-schema.metatojsonproperty.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository-json-schema](./repository-json-schema.md) &gt; [metaToJsonProperty](./repository-json-schema.metatojsonproperty.md)

## metaToJsonProperty() function

Converts property metadata into a JSON property definition

<b>Signature:</b>

```typescript
export declare function metaToJsonProperty(meta: PropertyDefinition): JSONSchema;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  meta | <code>PropertyDefinition</code> |  |

<b>Returns:</b>

`JSONSchema`


